Debian Bug report logs - #560745
FTBFS: eina_cpu.c:188:4: error: #error "eina_cpu_count() error: Platform not supported"

version graph

Package: eina; Maintainer for eina is Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Fri, 11 Dec 2009 21:45:05 UTC

Severity: serious

Tags: fixed-upstream, patch, upstream

Found in version 0.9.9.063-1

Fixed in version eina/0.9.9.063-2

Done: Albin Tonnerre <lutin@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://trac.enlightenment.org/e/ticket/478

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>:
Bug#560745; Package eina. (Fri, 11 Dec 2009 21:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>. (Fri, 11 Dec 2009 21:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: eina_cpu.c:188:4: error: #error "eina_cpu_count() error: Platform not supported"
Date: Fri, 11 Dec 2009 22:43:50 +0100
[Message part 1 (text/plain, inline)]
Package: eina
Version: 0.9.9.063-1
Severity: serious
Tags: patch
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

on GNU/kFreeBSD, there's a different FTBFS:
| eina_cpu.c:188:4: error: #error "eina_cpu_count() error: Platform not supported"

Please find attached a patch to fix this.

Something different, but on all archs (quick look, but found on some
Linux and some GNU/kFreeBSD):
| Warning: You are trying to link statically one or more modules to Eina.
|          You must know what you are doing, or else you will have a lot of problems.
|          And dolphins will disappear from the earth.
|          Think about that.

Mraw,
KiBi.
[eina+kbsd.diff (text/plain, attachment)]

Reply sent to Albin Tonnerre <lutin@debian.org>:
You have taken responsibility. (Sun, 13 Dec 2009 12:33:21 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sun, 13 Dec 2009 12:33:21 GMT) Full text and rfc822 format available.

Message #10 received at 560745-close@bugs.debian.org (full text, mbox):

From: Albin Tonnerre <lutin@debian.org>
To: 560745-close@bugs.debian.org
Subject: Bug#560745: fixed in eina 0.9.9.063-2
Date: Sun, 13 Dec 2009 12:32:41 +0000
Source: eina
Source-Version: 0.9.9.063-2

We believe that the bug you reported is fixed in the latest version of
eina, which is due to be installed in the Debian FTP archive:

eina_0.9.9.063-2.diff.gz
  to main/e/eina/eina_0.9.9.063-2.diff.gz
eina_0.9.9.063-2.dsc
  to main/e/eina/eina_0.9.9.063-2.dsc
libeina-dbg_0.9.9.063-2_amd64.deb
  to main/e/eina/libeina-dbg_0.9.9.063-2_amd64.deb
libeina-dev_0.9.9.063-2_amd64.deb
  to main/e/eina/libeina-dev_0.9.9.063-2_amd64.deb
libeina-doc_0.9.9.063-2_all.deb
  to main/e/eina/libeina-doc_0.9.9.063-2_all.deb
libeina-svn-05_0.9.9.063-2_amd64.deb
  to main/e/eina/libeina-svn-05_0.9.9.063-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 560745@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Albin Tonnerre <lutin@debian.org> (supplier of updated eina package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 Dec 2009 12:27:44 +0100
Source: eina
Binary: libeina-svn-05 libeina-dev libeina-doc libeina-dbg
Architecture: source all amd64
Version: 0.9.9.063-2
Distribution: unstable
Urgency: low
Maintainer: Albin Tonnerre <lutin@debian.org>
Changed-By: Albin Tonnerre <lutin@debian.org>
Description: 
 libeina-dbg - debugging symbols for use with libeina
 libeina-dev - Development files for libeina
 libeina-doc - Documentation for use with libeina
 libeina-svn-05 - Enlightenment Foundation Library providing optimized data types
Closes: 560742 560745
Changes: 
 eina (0.9.9.063-2) unstable; urgency=low
 .
   * Add debian/patches/01_fix_compile_kbsd.diff:
     - Fix FTBFS on kfreebsd, thanks to Cyril Brulebois (Closes: #560745)
   * Add debian/patches/02_eina_test_rbtree_timeout.diff:
     - Some tests in the testsuite take a long time to run, causing FTBFS on
       several architectures, as the default timeout is 4 seconds. Wait for 5
       minutes instead, that should be enough. (Closes: #560742)
   * debian/rules: make the check-stamp target depend on build-arch
Checksums-Sha1: 
 6fb2808f1d78126cc7b766a342eaabc24abfc3a2 1936 eina_0.9.9.063-2.dsc
 789462cc1a5da85b9dd98307e3a54e8930f97f74 5265 eina_0.9.9.063-2.diff.gz
 6849a9e6f2530eede22383c5c04df52d93279025 129150 libeina-doc_0.9.9.063-2_all.deb
 3c2c85dddbadaad04438fd3ce5386e2eed5fc7f8 71660 libeina-svn-05_0.9.9.063-2_amd64.deb
 eab01f66a8c87160a9eae267f6f7a0ae017db250 106948 libeina-dev_0.9.9.063-2_amd64.deb
 b8ce22cb894083a905bb03593413643a2d9d3cf2 124780 libeina-dbg_0.9.9.063-2_amd64.deb
Checksums-Sha256: 
 a30194f04b5e5062b60f8107183f3d9aa80a15fe9798a041c9b5a8998cf8863b 1936 eina_0.9.9.063-2.dsc
 e60a7be1a0e00f3a5f82d9c63d6b1b0ae856468344547c913a86e1b2b61eff62 5265 eina_0.9.9.063-2.diff.gz
 fa5ccb05c52677fea605ea394fb18626c1c3bd9aba004b656ed1e21c6952b9af 129150 libeina-doc_0.9.9.063-2_all.deb
 e72dabf3e468a673bf4f9c655fe060aecaef2104e8be42b3d992095379727305 71660 libeina-svn-05_0.9.9.063-2_amd64.deb
 54ca9dbb671ea264b48c48f3a8be7089ec537d82b0e114326d80d6c763759bd5 106948 libeina-dev_0.9.9.063-2_amd64.deb
 00c18bf252439e6f99142e20d8112a45bba54d10df2f1afdd58b7d877ce6ee4b 124780 libeina-dbg_0.9.9.063-2_amd64.deb
Files: 
 4acc99d84123e4c51f6c9945f2a7102e 1936 libs optional eina_0.9.9.063-2.dsc
 71fec44c4b0f9ec642537eec023615e3 5265 libs optional eina_0.9.9.063-2.diff.gz
 2aa6e194d5f88894af7d8fad08be8e9f 129150 doc optional libeina-doc_0.9.9.063-2_all.deb
 1fd2ca435ad4468af1569aa5c5664964 71660 libs optional libeina-svn-05_0.9.9.063-2_amd64.deb
 59ff1bd9b8f08d127a24f9c14d948640 106948 libdevel optional libeina-dev_0.9.9.063-2_amd64.deb
 2fed841e93d69bb4126c4298978eed3d 124780 debug extra libeina-dbg_0.9.9.063-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLJNl5AAoJEBEG8gBbtuSlOU4P/0oUncNNOzln+lhCWye4xENt
tBxq/rXnNxpWty+FdXLyYLKYWXoN78NUiYeQNaeLs7khlhel/KPJy6pkAdc1zHwG
YbJLXAR4pignLLAp89hmqP/hBMVhY+HJT7QCwOwOjE0d3fHxq7wPcdTw+7G2pUkd
NLuLuXTNNHptCPnLrJYDhlqr76NtRRjjFuI+5AlhD0ZCz+M8IJNeEO8l2M1+LBSY
kd2HKaL6u40xyr2Z7nETNCGeO7Mj5hN2U5lycaOgj+CTCKgT7r6UICPKL+6MyBpO
J7GRu2pACBR4L15/3VFn9fK50sMJWSUjoXk1FeuG1wO+F3ybVB0x5ABg/CxdEuPc
4pS/FJNvNR5kqqp8F/bWuSwIVJMT5G1u0xJh39ixEQHURwc1Ezc/y40dMhEYKhj+
Jp/3TEL3exEfotQP2BkZPkKD5YImDJbUB9Vu8Mqw1jK121SjOQgeZEixm7EQiW4J
i1vXWhj+ZNYOXqnUVPBwrhf0oRsuY2pLwlRItZlS/ZUFDrXEZY/FVYwLC77welqM
ErCJ6R1bfAyEREYPgEHYBUgnV5YAeimzuYvGl+OOTQMSgZh7VUG+IiBj0ZJd4Gfw
8ZHIuyhjgTLn7Nxgm8W7fbCRm4d76UNYK3NgY0Ag5QZa/ejA7gFBf0kc1R2gOnTT
5GDUeJ+k8P45IT2A7Z4A
=hQOt
-----END PGP SIGNATURE-----





Added tag(s) upstream and fixed-upstream. Request was from Albin Tonnerre <lutin@debian.org> to control@bugs.debian.org. (Mon, 04 Jan 2010 22:06:21 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://trac.enlightenment.org/e/ticket/478'. Request was from Albin Tonnerre <lutin@debian.org> to control@bugs.debian.org. (Mon, 04 Jan 2010 22:09:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Feb 2010 07:35:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:53:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.